%define anolis_release 1
%global pypi_name jsonschema

%global common_description %{expand:
jsonschema is an implementation of JSON Schema for Python (supporting
2.7+, including Python 3).

 - Full support for Draft 7, Draft 6, Draft 4 and Draft 3
 - Lazy validation that can iteratively report all validation errors.
 - Small and extensible
 - Programmatic querying of which properties or items failed validation.}

%{?python_enable_dependency_generator}

Name:           python-%{pypi_name}
Summary:        Implementation of JSON Schema validation for Python
Version:        4.4.0
Release: %{anolis_release}%{dist}
License:        MIT

URL:            https://github.com/Julian/jsonschema
Source0:        %{pypi_source}

BuildArch:      noarch

BuildRequires:  python3-devel

BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)

# test requirements
%bcond_without tests
%if %{with tests}
BuildRequires:  python3dist(attrs)
BuildRequires:  python3dist(perf)
BuildRequires:  python3dist(pyrsistent)
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(twisted)
BuildRequires:  python3dist(pip)
%endif

%description %{common_description}


%package -n     python3-%{pypi_name}
Summary:        %{summary}

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name} %{common_description}


%{?python_extras_subpkg:%python_extras_subpkg -n python3-%{pypi_name} -i %{python3_sitelib}/*.egg-info format}


%prep
%autosetup -n %{pypi_name}-%{version}
cat << ! > setup.py
from setuptools import setup
setup()
!

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%build
%py3_build


%install
%py3_install


%if %{with tests}
%check
PYTHONPATH=$(pwd) trial-3 %{pypi_name}
%endif


%files -n python3-%{pypi_name}
%license COPYING json/LICENSE
%doc README.rst

%{_bindir}/jsonschema

%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/


%changelog 
* Tue Apr 19 2022 Zhongling He <zhonglingh@linux.alibaba.com> 4.4.0-1
- Init package from upstream v4.4.0
